<!--
		SIF Infrastructure Specification 3.7

		(January 21, 2025)
		
		Infrastructure Version: 3.7
		
		license: 
		    name: Apache  2.0
        identifier: Apache-2.0
        url: 'https://home.a4l.org/legal/'
	-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.sifassociation.org/infrastructure/3.7" targetNamespace="http://www.sifassociation.org/infrastructure/3.7" elementFormDefault="qualified" version="3.7">
  <xs:complexType name="podType">
    <xs:sequence>
      <xs:element name="podStatus">
        <xs:simpleType>
          <xs:restriction base="xs:token">
            <xs:enumeration value="Live" />
            <xs:enumeration value="Draft" />
            <xs:enumeration value="Pending" />
            <xs:enumeration value="Expired" />
          </xs:restriction>
        </xs:simpleType>
      </xs:element>
      <xs:element name="podToken" type="gCoreLocalIdType" />
      <xs:element name="podVersion" type="xs:normalizedString" />
      <xs:element name="partyId" type="xs:normalizedString" />
      <xs:element name="privacyList" type="privacyListType" />
    </xs:sequence>
    <xs:attribute name="id" use="required" type="uuidType" />
  </xs:complexType>

  <xs:element name="pod" type="podType">
    <xs:key name="podKey1">
      <xs:selector xpath="." />
      <xs:field xpath="@id" />
    </xs:key>
  </xs:element>

  <xs:complexType name="podCollectionType">
    <xs:sequence>
      <xs:element name="pod" type="podType" minOccurs="0" maxOccurs="unbounded" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="pods" type="podCollectionType" />

</xs:schema>